﻿.DnnModule-VideoEmbed h1 {
  text-align: center;
  text-decoration: underline;
  font-size-adjust: 0.60;
  color: white; }

.DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage {
  margin: 30px -14px 40px -14px;
  /* This is required if you want to use tooltips */
  /* Allign the dnn:label to the left*/
  /* TEXTAREA inside the EDIT VIDEO option */
  /* SWITCH BUTTONS */
  /* properties for the new checkbox -- set the switch OFF color*/
  /* the circle inside the switch -- the button of the switch*/
  /* new slider-checkbox */
  /* if clicked then show the change by adding a box shadow*/
  /* hide the default checkbox layout {:the checkbox with(out) a tick}*/
  /* if the button is switched on then make it blue*/
  /* the movement of the switcher */
  /* Rounded switcher */
  /* Modals */
  /* The Modal (background) */
  /* Modal Content */
  /* Add Animation */
  /* The Close Button */ }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .margin-bottom-space {
    margin-bottom: 20px; }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .margin-top-space {
    margin-top: 20px;
    padding: initial; }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .option {
    border: 1px solid #b5ada6;
    margin-bottom: 20px; }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .toggle-box {
    display: none; }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .toggle-box + label {
    display: block;
    color: white;
    font-weight: bold;
    line-height: 26px;
    background-color: #b5ada6;
    padding-top: 15px;
    padding-bottom: 15px;
    width: 100%; }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .toggle-box + label:hover {
    background-color: #4f4c49; }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .toggle-box + label:before {
    background-color: black;
    color: white;
    -webkit-border-radius: 15px;
    -moz-border-radius: 15px;
    border-radius: 15px;
    content: "+";
    display: block;
    float: left;
    font-weight: bold;
    height: 25px;
    width: 25px;
    line-height: 26px;
    text-align: center;
    margin-right: 15px;
    margin-left: 4.5%; }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .toggle-box:checked + label:before {
    content: "\2212"; }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .toggle-box + label + div {
    height: 0;
    overflow: hidden;
    transition: height 0.01s; }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .toggle-box:checked + label + div {
    overflow: visible;
    height: 100%;
    padding-top: 10px;
    padding-bottom: 10px; }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage input[type=text] {
    overflow: visible; }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .dnnLabel {
    color: #000;
    text-align: left;
    padding-left: 2.35%;
    padding-bottom: 10px;
    display: inline-block;
    float: none;
    width: 68%;
    margin: 0 auto; }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .dnnFormItem textarea {
    margin: 0px;
    width: 88%;
    transition: all .01s ease-in-out;
    margin-left: 5%;
    max-width: none;
    max-height: 240px;
    min-height: 130px;
    font-size: 0.875rem;
    color: #000;
    line-height: 1.4rem; }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .dnnFormItem textarea:focus {
    margin: 0px;
    margin-left: 5%; }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .button {
    background-color: #b5ada6;
    color: white; }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .button:hover {
    background-color: #4f4c49; }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .switch {
    display: inline-block; }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .switchLabel {
    line-height: 36px;
    vertical-align: top;
    padding-right: 10px;
    display: inline-block; }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .newSlider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: black;
    -webkit-transition: .2s;
    transition: .2s; }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .newSlider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s; }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .switchButton {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
    border-radius: 34px;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
    border: none; }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .switchButton:focus, .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .switchButton:hover {
    -webkit-box-shadow: 0px 0px 5px 5px #4f4c49;
    -moz-box-shadow: 0px 0px 5px 5px #4f4c49;
    box-shadow: 0px 0px 5px 5px #4f4c49;
    border: 0.5px solid transparent; }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .switchButton input {
    display: none; }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .switchButton input:hover {
    box-shadow: 0 0 10px #4f4c49; }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .switchButton input:checked + .newSlider {
    background-color: #b5ada6; }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .switchButton input:checked + .newSlider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px); }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .newSlider.round {
    border-radius: 34px; }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .newSlider.round:before {
    border-radius: 50%; }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .instruction-text {
    margin: 0 auto;
    width: 50%;
    float: none; }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .modal {
    display: none;
    /* Hidden by default */
    position: fixed;
    /* Stay in place */
    z-index: 1;
    /* Sit on top */
    padding-top: 23rem;
    /* Location of the box */
    left: 0;
    top: 0;
    width: 100%;
    /* Full width */
    height: 100%;
    /* Full height */
    overflow: auto;
    /* Enable scroll if needed */
    background-color: black;
    /* Fallback color */
    background-color: rgba(0, 0, 0, 0.4);
    /* Black w/ opacity */ }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .modal-content {
    position: relative;
    background-color: white;
    color: black;
    margin: auto;
    padding: 0;
    border: 1px solid #888;
    width: 650px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    -webkit-animation-name: animatetop;
    -webkit-animation-duration: 0.4s;
    animation-name: animatetop;
    animation-duration: 0.4s; }

@-webkit-keyframes animatetop {
  from {
    top: -300px;
    opacity: 0; }
  to {
    top: 0;
    opacity: 1; } }

@keyframes animatetop {
  from {
    top: -300px;
    opacity: 0; }
  to {
    top: 0;
    opacity: 1; } }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .close {
    color: white;
    float: right;
    font-size: 28px;
    font-weight: bold;
    margin-top: -1rem; }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .close:hover,
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer; }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .modal-header, .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .modal-footer {
    padding: 1rem 16px;
    background-color: #b5ada6;
    color: white; }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .modal-body {
    padding: 26px 16px 10px 16px; }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .modal-footer {
    padding: 0.75rem 16px; }
  @media only screen and (max-width: 1021px) {
    .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .dnnFormItem textarea {
      max-height: 400px;
      min-height: 180px; }
    .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .dnnLabel {
      width: 100%;
      padding-left: 0; }
    .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .switch {
      text-align: justify;
      margin-left: 6%; }
    .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .switchLabel {
      float: left; }
    .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .switchButton {
      float: right;
      margin-right: 13%; }
    .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .modal {
      padding-top: 17rem; }
    .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.managePage .modal-content {
      width: 70%; } }

.DnnModule-VideoEmbed .CantarusVideoEmbedContainer.viewPage {
  margin: 0 auto;
  /*     (iframe used by Youtube) && (iframe & object & embed used by Vimeo) */ }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.viewPage.video-container {
    float: none;
    clear: both;
    width: 100%;
    position: relative;
    padding-bottom: 56.25%;
    padding-top: 30px;
    height: 0; }
  .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.viewPage iframe, .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.viewPage object, .DnnModule-VideoEmbed .CantarusVideoEmbedContainer.viewPage embed {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%; }

